"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DragHandleIcon = exports.PaddingLG = exports.PaddingSM = exports.PaddingMD = exports.HideColumnIcon = exports.FilterIcon = exports.CrossSearchIcon = exports.SearchIcon = exports.ArrowDownUp = exports.VerticalThreeDots = exports.TableLastPageIcon = exports.TableNextPageIcon = exports.TablePreviousPageIcon = exports.TableFirstPageIcon = exports.DownArrow = exports.UpArrow = exports.BlueDot = exports.RedDot = exports.GreenDot = exports.SortIcon = void 0;
const react_1 = __importDefault(require("react"));
const SortIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", fill: "none", viewBox: "0 0 24 24", strokeWidth: 1.5, stroke: "currentColor" },
    react_1.default.createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M3 7.5L7.5 3m0 0L12 7.5M7.5 3v13.5m13.5 0L16.5 21m0 0L12 16.5m4.5 4.5V7.5" })));
exports.SortIcon = SortIcon;
const GreenDot = () => (react_1.default.createElement("svg", { width: "8", height: "8", viewBox: "0 0 8 8", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
    react_1.default.createElement("circle", { cx: "4", cy: "4", r: "4", fill: "#5CD961" })));
exports.GreenDot = GreenDot;
const RedDot = () => (react_1.default.createElement("svg", { width: "8", height: "8", viewBox: "0 0 8 8", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
    react_1.default.createElement("circle", { cx: "4", cy: "4", r: "4", fill: "#F94144" })));
exports.RedDot = RedDot;
const BlueDot = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "8", height: "8", viewBox: "0 0 8 8", fill: "none" },
    react_1.default.createElement("circle", { cx: "4", cy: "4", r: "4", fill: "#04769A" })));
exports.BlueDot = BlueDot;
const UpArrow = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24", width: "14", height: "14", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round" },
    react_1.default.createElement("line", { x1: "12", y1: "5", x2: "12", y2: "19" }),
    react_1.default.createElement("polyline", { points: "19 12 12 5 5 12" })));
exports.UpArrow = UpArrow;
const DownArrow = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24", width: "14", height: "14", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round" },
    react_1.default.createElement("line", { x1: "12", y1: "19", x2: "12", y2: "5" }),
    react_1.default.createElement("polyline", { points: "5 12 12 19 19 12" })));
exports.DownArrow = DownArrow;
const TableFirstPageIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24", "aria-hidden": "true", role: "presentation" },
    react_1.default.createElement("path", { d: "M18.41 16.59L13.82 12l4.59-4.59L17 6l-6 6 6 6zM6 6h2v12H6z" }),
    react_1.default.createElement("path", { fill: "none", d: "M24 24H0V0h24v24z" })));
exports.TableFirstPageIcon = TableFirstPageIcon;
const TablePreviousPageIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24", "aria-hidden": "true", role: "presentation" },
    react_1.default.createElement("path", { d: "M15.41 7.41L14 6l-6 6 6 6 1.41-1.41L10.83 12z" }),
    react_1.default.createElement("path", { d: "M0 0h24v24H0z", fill: "none" })));
exports.TablePreviousPageIcon = TablePreviousPageIcon;
const TableNextPageIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24", "aria-hidden": "true", role: "presentation" },
    react_1.default.createElement("path", { d: "M10 6L8.59 7.41 13.17 12l-4.58 4.59L10 18l6-6z" }),
    react_1.default.createElement("path", { d: "M0 0h24v24H0z", fill: "none" })));
exports.TableNextPageIcon = TableNextPageIcon;
const TableLastPageIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24", "aria-hidden": "true", role: "presentation" },
    react_1.default.createElement("path", { d: "M5.59 7.41L10.18 12l-4.59 4.59L7 18l6-6-6-6zM16 6h2v12h-2z" }),
    react_1.default.createElement("path", { fill: "none", d: "M0 0h24v24H0V0z" })));
exports.TableLastPageIcon = TableLastPageIcon;
const VerticalThreeDots = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "14", height: "14", fill: "currentColor", className: "bi bi-three-dots-vertical", viewBox: "0 0 16 16" },
    react_1.default.createElement("path", { d: "M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0m0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0m0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0" })));
exports.VerticalThreeDots = VerticalThreeDots;
const ArrowDownUp = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "12", height: "12", fill: "currentColor", className: "bi bi-arrow-down-up", viewBox: "0 0 16 16" },
    react_1.default.createElement("path", { fillRule: "evenodd", d: "M11.5 15a.5.5 0 0 0 .5-.5V2.707l3.146 3.147a.5.5 0 0 0 .708-.708l-4-4a.5.5 0 0 0-.708 0l-4 4a.5.5 0 1 0 .708.708L11 2.707V14.5a.5.5 0 0 0 .5.5m-7-14a.5.5 0 0 1 .5.5v11.793l3.146-3.147a.5.5 0 0 1 .708.708l-4 4a.5.5 0 0 1-.708 0l-4-4a.5.5 0 0 1 .708-.708L4 13.293V1.5a.5.5 0 0 1 .5-.5" })));
exports.ArrowDownUp = ArrowDownUp;
const SearchIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", className: "tabler-icon tabler-icon-search" },
    react_1.default.createElement("path", { d: "M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" }),
    react_1.default.createElement("path", { d: "M21 21l-6 -6" })));
exports.SearchIcon = SearchIcon;
const CrossSearchIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", className: "tabler-icon tabler-icon-search-off" },
    react_1.default.createElement("path", { d: "M5.039 5.062a7 7 0 0 0 9.91 9.89m1.584 -2.434a7 7 0 0 0 -9.038 -9.057" }),
    react_1.default.createElement("path", { d: "M3 3l18 18" })));
exports.CrossSearchIcon = CrossSearchIcon;
const FilterIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "20", height: "20", fill: "currentColor", className: "bi bi-funnel", viewBox: "0 0 16 16" },
    react_1.default.createElement("path", { d: "M1.5 1.5A.5.5 0 0 1 2 1h12a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-.128.334L10 8.692V13.5a.5.5 0 0 1-.342.474l-3 1A.5.5 0 0 1 6 14.5V8.692L1.628 3.834A.5.5 0 0 1 1.5 3.5zm1 .5v1.308l4.372 4.858A.5.5 0 0 1 7 8.5v5.306l2-.666V8.5a.5.5 0 0 1 .128-.334L13.5 3.308V2z" })));
exports.FilterIcon = FilterIcon;
const HideColumnIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", className: "tabler-icon tabler-icon-columns" },
    react_1.default.createElement("path", { d: "M4 6l5.5 0" }),
    react_1.default.createElement("path", { d: "M4 10l5.5 0" }),
    react_1.default.createElement("path", { d: "M4 14l5.5 0" }),
    react_1.default.createElement("path", { d: "M4 18l5.5 0" }),
    react_1.default.createElement("path", { d: "M14.5 6l5.5 0" }),
    react_1.default.createElement("path", { d: "M14.5 10l5.5 0" }),
    react_1.default.createElement("path", { d: "M14.5 14l5.5 0" }),
    react_1.default.createElement("path", { d: "M14.5 18l5.5 0" })));
exports.HideColumnIcon = HideColumnIcon;
const PaddingMD = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "20", height: "20", viewBox: "0 0 24 24", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", className: "tabler-icon tabler-icon-baseline-density-medium" },
    react_1.default.createElement("path", { d: "M4 20h16" }),
    react_1.default.createElement("path", { d: "M4 12h16" }),
    react_1.default.createElement("path", { d: "M4 4h16" })));
exports.PaddingMD = PaddingMD;
const PaddingSM = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "20", height: "20", viewBox: "0 0 24 24", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", className: "tabler-icon tabler-icon-baseline-density-small" },
    react_1.default.createElement("path", { d: "M4 3h16" }),
    react_1.default.createElement("path", { d: "M4 9h16" }),
    react_1.default.createElement("path", { d: "M4 15h16" }),
    react_1.default.createElement("path", { d: "M4 21h16" })));
exports.PaddingSM = PaddingSM;
const PaddingLG = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "20", height: "20", viewBox: "0 0 24 24", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", className: "tabler-icon tabler-icon-baseline-density-large" },
    react_1.default.createElement("path", { d: "M4 4h16" }),
    react_1.default.createElement("path", { d: "M4 20h16" })));
exports.PaddingLG = PaddingLG;
const DragHandleIcon = () => (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "20", height: "20", viewBox: "0 0 24 24", fill: "none", stroke: "currentColor", strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", className: "tabler-icon tabler-icon-grip-horizontal", transform: "rotate(90)" },
    react_1.default.createElement("path", { d: "M10 9m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" }),
    react_1.default.createElement("path", { d: "M10 15m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" }),
    react_1.default.createElement("path", { d: "M18 9m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" }),
    react_1.default.createElement("path", { d: "M18 15m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" })));
exports.DragHandleIcon = DragHandleIcon;
