import { Column, Table } from "@tanstack/react-table";
import "./TableHead.scss";
import { REZ_tableOptions, REZ_tableOptionsWithState } from "../types";
import React from "react";
declare function TableHead<T>({ table, tableOptions, columnOrder, featureOptions, }: {
    table: Table<T>;
    columnOrder: string[];
    featureOptions: REZ_tableOptions;
    tableOptions: REZ_tableOptionsWithState;
}): React.JSX.Element;
export default TableHead;
export declare function Filter<T>({ column }: {
    column: Column<T, unknown>;
}): React.JSX.Element;
