import { Table } from "@tanstack/react-table";
import { REZ_tableOptions, REZ_tableOptionsWithState } from "../types";
import "./TableBody.scss";
import React from "react";
declare function TableBody<T>({ table, tableOptions, columnOrder, featureOptions, }: {
    table: Table<T>;
    tableOptions: REZ_tableOptionsWithState;
    columnOrder: string[];
    featureOptions: REZ_tableOptions;
}): React.JSX.Element;
export default TableBody;
