import "./dist/Topbar.scss";
import { Table } from "@tanstack/react-table";
import { REZ_tableOptions, REZ_tableOptionsWithState } from "../types";
import React from "react";
declare function Topbar<T>({ data, table, tableOptions, featuresOptions, }: {
    data: [];
    table: Table<T>;
    featuresOptions: REZ_tableOptions;
    tableOptions: REZ_tableOptionsWithState;
}): false | React.JSX.Element | undefined;
export default Topbar;
export declare function DebouncedInput({ value: initialValue, onChange, debounce, ...props }: {
    value: string | number;
    onChange: (value: string | number) => void;
    debounce?: number;
} & Omit<React.InputHTMLAttributes<HTMLInputElement>, "onChange">): React.JSX.Element;
