"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndeterminateCheckbox = void 0;
const react_1 = __importDefault(require("react"));
const react_2 = require("react");
function IndeterminateCheckbox(_a) {
    var { indeterminate, className = "" } = _a, rest = __rest(_a, ["indeterminate", "className"]);
    const ref = (0, react_2.useRef)(null);
    (0, react_2.useEffect)(() => {
        if (typeof indeterminate === "boolean") {
            ref.current.indeterminate = !rest.checked && indeterminate;
        }
    }, [ref, indeterminate]);
    return (react_1.default.createElement("input", Object.assign({ type: "checkbox", ref: ref, className: className + "cursor-pointer" }, rest)));
}
exports.IndeterminateCheckbox = IndeterminateCheckbox;
